/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class StockManager extends RelMgmt.Party.PartyRole {
    public BigDecimal calcCostOfContentsRespFor() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgTurnoverRespFor() {
        return new BigDecimal(0);
    }

    public Vector listMovementRequests() {
        return new Vector();
    }

    public Vector listStorageUnitsRespFor() {
        return new Vector();
    }

    public Vector listContentsRespFor() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private InventoryMgmt.StorageUnit.StorageUnit lnkUnnamed1;

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private InventoryMgmt.MovementRequest.MovementRequest lnkUnnamed;
}


